curl -X DELETE "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
-H "X-Api-Key: <your-api-key>"
const memoryId = "507f1f77bcf86cd799439011";
await fetch(
`https://api-integration.ollang.com/integration/memories/${memoryId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
import requests
memory_id = "507f1f77bcf86cd799439011"
headers = {"X-Api-Key": "<your-api-key>"}
requests.delete(
f"https://api-integration.ollang.com/integration/memories/{memory_id}",
headers=headers,
)
{
"statusCode": 404,
"message": "Memory not found"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}
Ollang API Reference
Delete Memory
Permanently remove a translation memory
DELETE
/
integration
/
memories
/
{memoryId}
curl -X DELETE "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
-H "X-Api-Key: <your-api-key>"
const memoryId = "507f1f77bcf86cd799439011";
await fetch(
`https://api-integration.ollang.com/integration/memories/${memoryId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
import requests
memory_id = "507f1f77bcf86cd799439011"
headers = {"X-Api-Key": "<your-api-key>"}
requests.delete(
f"https://api-integration.ollang.com/integration/memories/{memory_id}",
headers=headers,
)
{
"statusCode": 404,
"message": "Memory not found"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}
Delete a translation memory by ID, along with its stored translation units. This cannot be undone.
Orders that reference the memory via
selectedMemories will no longer
receive matches from it.curl -X DELETE "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
-H "X-Api-Key: <your-api-key>"
const memoryId = "507f1f77bcf86cd799439011";
await fetch(
`https://api-integration.ollang.com/integration/memories/${memoryId}`,
{
method: "DELETE",
headers: {
"X-Api-Key": "<your-api-key>",
},
}
);
import requests
memory_id = "507f1f77bcf86cd799439011"
headers = {"X-Api-Key": "<your-api-key>"}
requests.delete(
f"https://api-integration.ollang.com/integration/memories/{memory_id}",
headers=headers,
)
Authorizations
This endpoint requires API key authentication.- Header name:
X-Api-Key - Header value: Your API key from the Ollang dashboard
Path Parameters
string
required
The translation memory’s unique identifier.
Response
A successful delete returns 204 No Content with an empty body.{
"statusCode": 404,
"message": "Memory not found"
}
{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}
Was this page helpful?